  const
    instr_def:  instr_array =

     (*         mnem         large         impl #    zp   abs  indXrel *)
(    (mnemonic:'ABA'  ;large:false  ;code:( $1B, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ADCA' ;large:false  ;code:( 0  , $89, $99, $B9, $A9, 0  ) ) ,
     (mnemonic:'ADCB' ;large:false  ;code:( 0  , $C9, $D9, $F9, $E9, 0  ) ) ,
     (mnemonic:'ADDA' ;large:false  ;code:( 0  , $8B, $9B, $BB, $AB, 0  ) ) ,
     (mnemonic:'ADDB' ;large:false  ;code:( 0  , $CB, $DB, $FB, $EB, 0  ) ) ,
     (mnemonic:'ANDA' ;large:false  ;code:( 0  , $84, $94, $B4, $A4, 0  ) ) ,
     (mnemonic:'ANDB' ;large:false  ;code:( 0  , $C4, $D4, $F4, $E4, 0  ) ) ,
     (mnemonic:'ASL'  ;large:false  ;code:( 0  , 0  , 0  , $78, $68, 0  ) ) ,
     (mnemonic:'ASLA' ;large:false  ;code:( $48, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ASLB' ;large:false  ;code:( $58, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ASR'  ;large:false  ;code:( 0  , 0  , 0  , $77, $67, 0  ) ) ,
     (mnemonic:'ASRA' ;large:false  ;code:( $47, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ASRB' ;large:false  ;code:( $57, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'BCC'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $24) ) ,
     (mnemonic:'BCS'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $25) ) ,
     (mnemonic:'BEQ'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $27) ) ,
     (mnemonic:'BGE'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2C) ) ,
     (mnemonic:'BGT'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2E) ) ,
     (mnemonic:'BHI'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $22) ) ,
     (mnemonic:'BITA' ;large:false  ;code:( 0  , $85, $95, $B5, $A5, 0  ) ) ,
     (mnemonic:'BITB' ;large:false  ;code:( 0  , $C5, $D5, $F5, $E5, 0  ) ) ,
     (mnemonic:'BLE'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2F) ) ,
     (mnemonic:'BLS'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $23) ) ,
     (mnemonic:'BLT'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2D) ) ,
     (mnemonic:'BMI'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2B) ) ,
     (mnemonic:'BNE'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $26) ) ,
     (mnemonic:'BPL'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $2A) ) ,
     (mnemonic:'BRA'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $20) ) ,
     (mnemonic:'BSR'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $8D) ) ,
     (mnemonic:'BVC'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $28) ) ,
     (mnemonic:'BVS'  ;large:false  ;code:( 0  , 0  , 0  , 0  , 0  , $29) ) ,
     (mnemonic:'CBA'  ;large:false  ;code:( $11, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CLC'  ;large:false  ;code:( $C , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CLI'  ;large:false  ;code:( $E , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CLR'  ;large:false  ;code:( 0  , 0  , 0  , $7F, $6F, 0  ) ) ,
     (mnemonic:'CLRA' ;large:false  ;code:( $4F, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CLRB' ;large:false  ;code:( $5F, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CLV'  ;large:false  ;code:( $A , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'CMPA' ;large:false  ;code:( 0  , $81, $91, $B1, $A1, 0  ) ) ,
     (mnemonic:'CMPB' ;large:false  ;code:( 0  , $C1, $D1, $F1, $E1, 0  ) ) ,
     (mnemonic:'COM'  ;large:false  ;code:( 0  , 0  , 0  , $73, $63, 0  ) ) ,
     (mnemonic:'COMA' ;large:false  ;code:( $43, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'COMB' ;large:false  ;code:( $53, 0  , 0  , 0  , 0  , 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'CPA'  ;large:false  ;code:( 0  , $81, $91, $B1, $A1, 0  ) ) ,
(**) (mnemonic:'CPB'  ;large:false  ;code:( 0  , $C1, $D1, $F1, $E1, 0  ) ) ,
     {$endif}
     (mnemonic:'CPX'  ;large:true   ;code:( 0  , $8C, $9C, $BC, $AC, 0  ) ) ,
     (mnemonic:'DAA'  ;large:false  ;code:( $19, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'DEC'  ;large:false  ;code:( 0  , 0  , 0  , $7A, $6A, 0  ) ) ,
     (mnemonic:'DECA' ;large:false  ;code:( $4A, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'DECB' ;large:false  ;code:( $5A, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'DES'  ;large:false  ;code:( $34, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'DEX'  ;large:false  ;code:( $09, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'EORA' ;large:false  ;code:( 0  , $88, $98, $B8, $A8, 0  ) ) ,
     (mnemonic:'EORB' ;large:false  ;code:( 0  , $C8, $D8, $F8, $E8, 0  ) ) ,
     (mnemonic:'INC'  ;large:false  ;code:( 0  , 0  , 0  , $7C, $6C, 0  ) ) ,
     (mnemonic:'INCA' ;large:false  ;code:( $4C, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'INCB' ;large:false  ;code:( $5C, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'INS'  ;large:false  ;code:( $31, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'INT'  ;large:false  ;code:( 0  , 0  , $3F, 0  , 0  , 0  ) ) ,
     (mnemonic:'INX'  ;large:false  ;code:( $08, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'JMP'  ;large:false  ;code:( 0  , 0  , 0  , $7E, $6E, 0  ) ) ,
     (mnemonic:'JSR'  ;large:false  ;code:( 0  , 0  , 0  , $BD, $AD, 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'LDA'  ;large:false  ;code:( 0  , $86, $96, $B6, $A6, 0  ) ) ,
     {$endif}
     (mnemonic:'LDAA' ;large:false  ;code:( 0  , $86, $96, $B6, $A6, 0  ) ) ,
     (mnemonic:'LDAB' ;large:false  ;code:( 0  , $C6, $D6, $F6, $E6, 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'LDB'  ;large:false  ;code:( 0  , $C6, $D6, $F6, $E6, 0  ) ) ,
     {$endif}
     (mnemonic:'LDS'  ;large:true   ;code:( 0  , $8E, $9E, $BE, $AE, 0  ) ) ,
     (mnemonic:'LDX'  ;large:true   ;code:( 0  , $CE, $DE, $FE, $EE, 0  ) ) ,
     (mnemonic:'LSR'  ;large:false  ;code:( 0  , 0  , 0  , $74, $64, 0  ) ) ,
     (mnemonic:'LSRA' ;large:false  ;code:( $44, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'LSRB' ;large:false  ;code:( $54, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'NEG'  ;large:false  ;code:( 0  , 0  , 0  , $70, $60, 0  ) ) ,
     (mnemonic:'NEGA' ;large:false  ;code:( $40, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'NEGB' ;large:false  ;code:( $50, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'NOP'  ;large:false  ;code:( $01, 0  , 0  , 0  , 0  , 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'ORA'  ;large:false  ;code:( 0  , $8A, $9A, $BA, $AA, 0  ) ) ,
     {$endif}
     (mnemonic:'ORAA' ;large:false  ;code:( 0  , $8A, $9A, $BA, $AA, 0  ) ) ,
     (mnemonic:'ORAB' ;large:false  ;code:( 0  , $CA, $DA, $FA, $EA, 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'ORB'  ;large:false  ;code:( 0  , $CA, $DA, $FA, $EA, 0  ) ) ,
(**) (mnemonic:'PHA'  ;large:false  ;code:( $36, 0  , 0  , 0  , 0  , 0  ) ) ,
(**) (mnemonic:'PHB'  ;large:false  ;code:( $37, 0  , 0  , 0  , 0  , 0  ) ) ,
(**) (mnemonic:'PLA'  ;large:false  ;code:( $32, 0  , 0  , 0  , 0  , 0  ) ) ,
(**) (mnemonic:'PLB'  ;large:false  ;code:( $33, 0  , 0  , 0  , 0  , 0  ) ) ,
     {$endif}
     (mnemonic:'PSHA' ;large:false  ;code:( $36, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'PSHB' ;large:false  ;code:( $37, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'PULA' ;large:false  ;code:( $32, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'PULB' ;large:false  ;code:( $33, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ROL'  ;large:false  ;code:( 0  , 0  , 0  , $79, $69, 0  ) ) ,
     (mnemonic:'ROLA' ;large:false  ;code:( $49, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ROLB' ;large:false  ;code:( $59, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'ROR'  ;large:false  ;code:( 0  , 0  , 0  , $76, $66, 0  ) ) ,
     (mnemonic:'RORA' ;large:false  ;code:( $46, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'RORB' ;large:false  ;code:( $56, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'RTI'  ;large:false  ;code:( $3B, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'RTS'  ;large:false  ;code:( $39, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'SBA'  ;large:false  ;code:( $10, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'SBCA' ;large:false  ;code:( 0  , $82, $92, $B2, $A2, 0  ) ) ,
     (mnemonic:'SBCB' ;large:false  ;code:( 0  , $C2, $D2, $F2, $E2, 0  ) ) ,
     (mnemonic:'SEC'  ;large:false  ;code:( $D , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'SEI'  ;large:false  ;code:( $F , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'SEV'  ;large:false  ;code:( $B , 0  , 0  , 0  , 0  , 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'STA'  ;large:false  ;code:( 0  , 0  , $97, $B7, $A7, 0  ) ) ,
     {$endif}
     (mnemonic:'STAA' ;large:false  ;code:( 0  , 0  , $97, $B7, $A7, 0  ) ) ,
     (mnemonic:'STAB' ;large:false  ;code:( 0  , 0  , $D7, $F7, $E7, 0  ) ) ,
     {$ifdef YGP}
(**) (mnemonic:'STB'  ;large:false  ;code:( 0  , 0  , $D7, $F7, $E7, 0  ) ) ,
     {$endif}
     (mnemonic:'STS'  ;large:false  ;code:( 0  , 0  , $9F, $BF, $AF, 0  ) ) ,
     (mnemonic:'STX'  ;large:false  ;code:( 0  , 0  , $DF, $FF, $EF, 0  ) ) ,
     (mnemonic:'SUBA' ;large:false  ;code:( 0  , $80, $90, $B0, $A0, 0  ) ) ,
     (mnemonic:'SUBB' ;large:false  ;code:( 0  , $C0, $D0, $F0, $E0, 0  ) ) ,
     (mnemonic:'SWI'  ;large:false  ;code:( $3F, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TAB'  ;large:false  ;code:( $16, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TAP'  ;large:false  ;code:( $6 , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TBA'  ;large:false  ;code:( $17, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TPA'  ;large:false  ;code:( $7 , 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TST'  ;large:false  ;code:( 0  , 0  , 0  , $7D, $6D, 0  ) ) ,
     (mnemonic:'TSTA' ;large:false  ;code:( $4D, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TSTB' ;large:false  ;code:( $5D, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TSX'  ;large:false  ;code:( $30, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'TXS'  ;large:false  ;code:( $35, 0  , 0  , 0  , 0  , 0  ) ) ,
     (mnemonic:'WAI'  ;large:false  ;code:( $3E, 0  , 0  , 0  , 0  , 0  ) )
     {$ifdef YGP},
(**) (mnemonic:'XORA' ;large:false  ;code:( 0  , $88, $98, $B8, $A8, 0  ) ) ,
(**) (mnemonic:'XORB' ;large:false  ;code:( 0  , $C8, $D8, $F8, $E8, 0  ) )
     {$endif});
